Bulk rollback agents Base URL https://{kibana_url} POST /api/fleet/agents/bulk_rollback Auth Rollback multiple agents to the previous version. Authorization Header Body Response Required authorization Privileges fleet-agents-all Header parameters kbn-xsrf string required A required header to protect against CSRF attacks Request body { } agents union string[] | string required batchSize number dryRun boolean includeInactive boolean · default: false Responses 200 OK: A successful request. application/json Any of: actionIds count actionIds count − hide properties actionIds string[] · max items: 10000 required − hide properties count number required 400 A bad request. application/json attributes object required error string errorType string message string required statusCode number